/ics/v3/card-accounts/{id}/transactions

Beta: This endpoint is currently in beta and subject to change.
Returns a list of transactions for the card account ID given as an endpoint parameter. The card account ID must first be retrieved via the Get Card Accounts call.
This API will return a 1426 error if consent is required.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

The card account ID returned from the Get Card Accounts call.

Query Params
string
enum
required

The customer type for the request.

  • PERSONAL: personal card accounts
  • BUSINESS: business card accounts
  • CORPORATE: corporate card accounts
Allowed:
string

Furthest date in the past of the requested transaction range. YYYY-MM-DD.
Recommended range is 1 year as some banks return a maximum of one year of transactions per request.
Split the date range across multiple requests to retrieve transactions spanning more than a year.

string

Most recent date of the requested transaction range. YYYY-MM-DD.

string

Cursor for pagination. When more transactions are available, the response includes a links array
with a link where rel is "next". Extract the cursor query parameter from the href URL and
pass it here to fetch the next page.

Example: If the response contains:

"links": [{ "rel": "next", "href": "https://sandbox.neonomics.io/.../transactions?cursor=0X4lQV7dZZ4x..." }]

Use cursor=0X4lQV7dZZ4x... in your next request.

Important:

  • Do not pass fromDate and toDate when using cursor.
  • The cursor is an encrypted opaque string — do not attempt to decode or modify it.
string
enum

Filter transactions by booking status. By default all transactions are returned.

Allowed:
integer
Defaults to 50

Number of transactions per page. Default is 50 if not provided.

Headers
string
required

The session Id returned in the response body when this session was created.

string
required

String that uniquely identifies a single end-user or device.

string
required

The IP Address of the end-user (PSU), which must be provided if the PSU actively requests information.
If this value is not provided, then the call will count towards the number of TPP calls without PSU interaction.
Leave it empty if the end user is not actively requesting account information, such as during automatic background updates.
Provided in either IPv4 or IPv6 format.

string

Identifier of the end-user, passed as the base64-encoded value of an encrypted string following
the guidelines given in Documentation > Development > Sensitive end-user data.
This parameter is required if the value of 'personalIdentificationRequired' returned from the /banks endpoint is "true".

string

The host where the request is originating from.
If you are using end to end encryption from our developer portal then this header is mandatory.

string

The request originating date.
If you are using end to end encryption from our developer portal then this header is mandatory.

string

The signature header consisting of the signature string
If you are using end to end encryption from our developer portal then this header is mandatory.

Responses

Language
Credentials
Bearer
JWT
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json